
package pjv.hodina10;

import java.util.Observable;

public class Model extends Observable {    
    
    private int xPosition, yPosition, radius = 50;
    public int xVelocity = 2, yVelocity = 4;    
    private int viewWidt, viewHeigh;
    
    public Model(int viewWidth, int viewHeigh) {        
        this.viewWidt = viewWidth;
        this.viewHeigh = viewHeigh;
    }

    /**
     * @return the xPosition
     */
    public int getxPosition() {
        return xPosition;
    }

    /**
     * @param xPosition the xPosition to set
     */
    public void setxPosition(int xPosition) {
        if (this.xPosition != xPosition)
            setChanged();
        this.xPosition = xPosition;
    }

    /**
     * @return the yPosition
     */
    public int getyPosition() {
        return yPosition;
    }

    /**
     * @param yPosition the yPosition to set
     */
    public void setyPosition(int yPosition) {
        if (this.yPosition != yPosition)
            setChanged();
        this.yPosition = yPosition;
    }

    /**
     * @return the radius
     */
    public int getRadius() {
        return radius;
    }

    /**
     * @param radius the radius to set
     */
    public void setRadius(int radius) {
         if (this.radius != radius)
            setChanged();
        this.radius = radius;
    }

    /**
     * @return the viewWidt
     */
    public int getViewWidt() {
        return viewWidt;
    }

    /**
     * @param viewWidt the viewWidt to set
     */
    public void setViewWidt(int viewWidt) {
        this.viewWidt = viewWidt;        
    }

    /**
     * @return the viewHeigh
     */
    public int getViewHeigh() {
        return viewHeigh;
    }

    /**
     * @param viewHeigh the viewHeigh to set
     */
    public void setViewHeigh(int viewHeigh) {
        this.viewHeigh = viewHeigh;        
    }
}
